This is the mail archive of the fortran@gcc.gnu.org mailing list for the GNU Fortran project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

Re: Testing __float128 [Cygwin]


Il 07/09/2010 19.46, Jerry DeLisle ha scritto:
On 9/7/2010 9:58 AM, Angelo Graziosi wrote:
Il 07/09/2010 15.32, Jerry DeLisle ha scritto:
On 09/05/2010 06:11 PM, Jerry DeLisle wrote:
On 09/05/2010 03:33 PM, Angelo Graziosi wrote:
I have tried to build libquad,


I also see the failure __float128 is not supported under Cygwin. I would guess because Cygwin uses newlib and not glib.

Hmm... really, with the GCC snapshot 20100904, '__float128' is supported OB also on Cygwin (perhaps for the reasons you explain):

$ cd libquad
./configure
[...]
checking whether __float128 is supported... yes
[...] ^^^^^
I don't know, on my system I got:
checking whether __float128 is supported... no

Here there is something of strange. Are you using a recent GCC? In my case, it is the last snapshot [*], configured with:


/tmp/gcc-4.6-20100904/configure --prefix=/usr/local/gfortran --program-suffix=-4.6 --enable-languages=c,c++,fortran --enable-checking=release --enable-threads=posix --enable-libgomp --disable-bootstrap --disable-libmudflap --disable-shared

I use the program suffix '-4.6' and I have created the links gcc-4.6 -> /usr/local/gfortran/bin/gcc-4.6.exe etc. in /usr/local/bin, so that libquad can be configured with:

CC='gcc-4.6' CXX=... ./configure

I think that with at least [*], you *should have* __float128 supported OB :-)

Ciao,
Angelo.

---
[*] http://gcc.gnu.org/ml/gcc/2010-09/msg00036.html


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]